
Redmine - Feature #6889

Set assignee on category change

2010-11-15 02:33 - Peng Wang

Status: New Start date: 2010-11-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

To reproduce:

1. File a new issue (leave the issue category empty)

2. update the issue and select an issue category

It is expected to see the assignee field to be changed automatically with the one specified in issue category. But it turns out that the

assignee remains empty.

Related issues:

Related to Redmine - Defect #23394: Auto-assign on category selection does no... New

Has duplicate Redmine - Defect #18393: issue assigning does not work when use... Closed

Has duplicate Redmine - Feature #12214: Category change should cause assignee... Closed

Has duplicate Redmine - Defect #20429: Tracker with assignee field disabled, ... Closed

History

#1 - 2010-11-16 21:33 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from Update issue category will not get assignee updated to Set assignee on category change

Actually, the current behaviour is to set the assignee automatically on issue creation only, as requested in #382. This is also described in the guide.

#2 - 2010-11-22 03:54 - Peng Wang

Thanks for the reply, and it would be nice if we can add the feature because the testers sometimes forgot to select the category and will try to update

it later, but developers got no email notification.

#3 - 2014-11-20 05:45 - Mischa The Evil

- Has duplicate Defect #18393: issue assigning does not work when users change issue "Category"  added

#4 - 2014-11-20 05:48 - Mischa The Evil

- Has duplicate Feature #12214: Category change should cause assignee change added

#5 - 2015-10-22 13:04 - Toshi MARUYAMA

- Related to Defect #20429: Tracker with assignee field disabled, Is getting assigned with Assignee through Category added

#6 - 2015-10-22 13:09 - Toshi MARUYAMA

- Related to deleted (Defect #20429: Tracker with assignee field disabled, Is getting assigned with Assignee through Category)

#7 - 2015-10-22 13:09 - Toshi MARUYAMA

- Has duplicate Defect #20429: Tracker with assignee field disabled, Is getting assigned with Assignee through Category added

#8 - 2015-10-22 13:12 - Toshi MARUYAMA

#20429 says if assignee field is disabled, no change of assignee in issue updating is confusing.

#9 - 2016-08-19 06:43 - Toshi MARUYAMA

- Related to Defect #23394: Auto-assign on category selection does not work when assignee is a required field added
